org.apache.hadoop.util

## Interface ExitCodeProvider

- All Known Implementing Classes:
    ExitUtil.ExitException, ExitUtil.HaltException, KDiag.KerberosDiagsFailure, ServiceLaunchException, ServiceStateException

      public interface ExitCodeProvider

  Get the exit code of an exception. Making it an interface makes it possible to retrofit exit codes onto existing classes, and add exit code providers under all parts of the Exception tree.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExitCode()` Method to get the exit code.

- - ### Method Detail

    - #### getExitCode

          int getExitCode()

      Method to get the exit code.
      Returns:
        the exit code

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.